%define module	XML-NamespaceSupport
%define version 1.09
%define release %mkrel 6

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildArch:	noarch

%description
This module offers a simple to process namespaced XML names (unames) from
within any application that may need them. It also helps maintain a prefix
to namespace URI map, and provides a number of basic checks.

%prep
%setup -q -n %{module}-%{version}

chmod 644 Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/XML/*.pm
%{_mandir}/*/*




%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.09-6mdv2009.1
+ Revision: 351684
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.09-5mdv2009.0
+ Revision: 224637
- rebuild

* Fri Jan 11 2008 Pixel <pixel@mandriva.com> 1.09-4mdv2008.1
+ Revision: 147990
- do not require perl, perl-base is enough (esp. for urpmi now using perl-XML-LibXML)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.09-3mdv2008.0
+ Revision: 64203
- rebuild


* Sat Jan 13 2007 Olivier Thauvin <nanardon@mandriva.org> 1.09-2mdv2007.0
+ Revision: 108396
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-XML-NamespaceSupport

* Fri Jun 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.09-1mdk
- 1.09
- misc spec fixes

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 1.08-4mdk
- rebuild

